Repository access
List Forgejo-authoritative users eligible for assignment in this repository, including team-derived access.
Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/assignees""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name.
1 <= lengthQuery Parameters
Search by username, email, or display name.
Response Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/collaborator-candidates?q=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/collaborators""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name.
1 <= lengthCollaborator username.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/collaborators/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name.
1 <= lengthForgejo login, platform username, or email of the collaborator.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/repositories/aa/aa/collaborators/aa" \ -H "Content-Type: application/json" \ -d '{ "permission": "abc123" }'"abc123"List organization teams attached to a repository that may be requested as pull-request reviewers.
Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/reviewer-teams""abc123"List Forgejo-authoritative users eligible to be requested as pull-request reviewers, including team-derived access.
Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/reviewer-users""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/teams""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthTeam slug.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/teams/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthTeam slug.
1 <= lengthResponse Body
application/json
curl -X PUT "https://example.com/v1/repositories/aa/aa/teams/aa""abc123"